BitbucketCloudTriggerCreateResult

class oci.devops.models.BitbucketCloudTriggerCreateResult(**kwargs)

Bases: TriggerCreateResult

Trigger create response specific to Bitbucket Cloud.

Methods:

__init__(**kwargs)

Initializes a new BitbucketCloudTriggerCreateResult object with values from keyword arguments.

get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.

Attributes:

actions

[Required] Gets the actions of this TriggerCreateResult.

compartment_id

[Required] Gets the compartment_id of this TriggerCreateResult.

connection_id

Gets the connection_id of this BitbucketCloudTriggerCreateResult.

defined_tags

Gets the defined_tags of this TriggerCreateResult.

description

Gets the description of this TriggerCreateResult.

display_name

Gets the display_name of this TriggerCreateResult.

freeform_tags

Gets the freeform_tags of this TriggerCreateResult.

id

[Required] Gets the id of this TriggerCreateResult.

lifecycle_details

Gets the lifecycle_details of this TriggerCreateResult.

lifecycle_state

Gets the lifecycle_state of this TriggerCreateResult.

project_id

[Required] Gets the project_id of this TriggerCreateResult.

system_tags

Gets the system_tags of this TriggerCreateResult.

time_created

Gets the time_created of this TriggerCreateResult.

time_updated

Gets the time_updated of this TriggerCreateResult.

trigger_source

[Required] Gets the trigger_source of this TriggerCreateResult.

trigger_url

[Required] Gets the trigger_url of this BitbucketCloudTriggerCreateResult.

__init__(**kwargs)

Initializes a new BitbucketCloudTriggerCreateResult object with values from keyword arguments. The default value of the trigger_source attribute of this class is BITBUCKET_CLOUD and it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • id (str) – The value to assign to the id property of this BitbucketCloudTriggerCreateResult.

  • display_name (str) – The value to assign to the display_name property of this BitbucketCloudTriggerCreateResult.

  • description (str) – The value to assign to the description property of this BitbucketCloudTriggerCreateResult.

  • project_id (str) – The value to assign to the project_id property of this BitbucketCloudTriggerCreateResult.

  • compartment_id (str) – The value to assign to the compartment_id property of this BitbucketCloudTriggerCreateResult.

  • trigger_source (str) – The value to assign to the trigger_source property of this BitbucketCloudTriggerCreateResult.

  • time_created (datetime) – The value to assign to the time_created property of this BitbucketCloudTriggerCreateResult.

  • time_updated (datetime) – The value to assign to the time_updated property of this BitbucketCloudTriggerCreateResult.

  • lifecycle_state (str) – The value to assign to the lifecycle_state property of this BitbucketCloudTriggerCreateResult.

  • lifecycle_details (str) – The value to assign to the lifecycle_details property of this BitbucketCloudTriggerCreateResult.

  • actions (list[oci.devops.models.TriggerAction]) – The value to assign to the actions property of this BitbucketCloudTriggerCreateResult.

  • freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this BitbucketCloudTriggerCreateResult.

  • defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this BitbucketCloudTriggerCreateResult.

  • system_tags (dict(str, dict(str, object))) – The value to assign to the system_tags property of this BitbucketCloudTriggerCreateResult.

  • trigger_url (str) – The value to assign to the trigger_url property of this BitbucketCloudTriggerCreateResult.

  • connection_id (str) – The value to assign to the connection_id property of this BitbucketCloudTriggerCreateResult.

property actions

[Required] Gets the actions of this TriggerCreateResult. The list of actions that are to be performed for this trigger.

Returns

The actions of this TriggerCreateResult.

Return type

list[oci.devops.models.TriggerAction]

property compartment_id

[Required] Gets the compartment_id of this TriggerCreateResult. The OCID of the compartment that contains the trigger.

Returns

The compartment_id of this TriggerCreateResult.

Return type

str

property connection_id

Gets the connection_id of this BitbucketCloudTriggerCreateResult. The OCID of the connection resource used to get details for triggered events.

Returns

The connection_id of this BitbucketCloudTriggerCreateResult.

Return type

str

property defined_tags

Gets the defined_tags of this TriggerCreateResult. Defined tags for this resource. Each key is predefined and scoped to a namespace. See Resource Tags. Example: {“foo-namespace”: {“bar-key”: “value”}}

Returns

The defined_tags of this TriggerCreateResult.

Return type

dict(str, dict(str, object))

property description

Gets the description of this TriggerCreateResult. Description about the trigger.

Returns

The description of this TriggerCreateResult.

Return type

str

property display_name

Gets the display_name of this TriggerCreateResult. Trigger display name. Avoid entering confidential information.

Returns

The display_name of this TriggerCreateResult.

Return type

str

property freeform_tags

Gets the freeform_tags of this TriggerCreateResult. Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. See Resource Tags. Example: {“bar-key”: “value”}

Returns

The freeform_tags of this TriggerCreateResult.

Return type

dict(str, str)

static get_subtype(object_dictionary)

Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.

property id

[Required] Gets the id of this TriggerCreateResult. Unique identifier that is immutable on creation.

Returns

The id of this TriggerCreateResult.

Return type

str

property lifecycle_details

Gets the lifecycle_details of this TriggerCreateResult. A message describing the current state in more detail. For example, can be used to provide actionable information for a resource in Failed state.

Returns

The lifecycle_details of this TriggerCreateResult.

Return type

str

property lifecycle_state

Gets the lifecycle_state of this TriggerCreateResult. The current state of the trigger.

Returns

The lifecycle_state of this TriggerCreateResult.

Return type

str

property project_id

[Required] Gets the project_id of this TriggerCreateResult. The OCID of the DevOps project to which the trigger belongs to.

Returns

The project_id of this TriggerCreateResult.

Return type

str

property system_tags

Gets the system_tags of this TriggerCreateResult. Usage of system tag keys. These predefined keys are scoped to namespaces. See Resource Tags. Example: {“orcl-cloud”: {“free-tier-retained”: “true”}}

Returns

The system_tags of this TriggerCreateResult.

Return type

dict(str, dict(str, object))

property time_created

Gets the time_created of this TriggerCreateResult. The time the trigger was created. Format defined by RFC3339.

Returns

The time_created of this TriggerCreateResult.

Return type

datetime

property time_updated

Gets the time_updated of this TriggerCreateResult. The time the trigger was updated. Format defined by RFC3339.

Returns

The time_updated of this TriggerCreateResult.

Return type

datetime

property trigger_source

[Required] Gets the trigger_source of this TriggerCreateResult. Source of the trigger. Allowed values are, GITHUB and GITLAB.

Returns

The trigger_source of this TriggerCreateResult.

Return type

str

property trigger_url

[Required] Gets the trigger_url of this BitbucketCloudTriggerCreateResult. The endpoint that listens to trigger events. Contains the secret as a query parameter.

Returns

The trigger_url of this BitbucketCloudTriggerCreateResult.

Return type

str